Available Endpoint List
Overview
This is a list of values that can be specified for the endpoint parameter of the /v2/bulk/list API.
Available data and periods vary depending on your subscription plan and add-ons. For details, please see APIs and Data Storage Period by Subscription.
Endpoint List
| Data Name | Endpoint String |
|---|---|
| Listed Issues | /equities/master |
| Stock Prices (OHLC) | /equities/bars/daily |
| Financial Information | /fins/summary |
| Investor Type | /equities/investor-types |
| TOPIX Prices (OHLC) | /indices/bars/daily/topix |
| Index Prices (OHLC) | /indices/bars/daily |
| Nikkei 225 Options Prices (OHLC) | /derivatives/bars/daily/options/225 |
| Futures Prices (OHLC) | /derivatives/bars/daily/futures |
| Options Prices (OHLC) | /derivatives/bars/daily/options |
| Weekly Margin Interest | /markets/margin-interest |
| Short Selling Ratio by Sector | /markets/short-ratio |
| Short Sale Balance Report | /markets/short-sale-report |
| Daily Margin Trading Information | /markets/margin-alert |
| Trading by Type of Investors | /markets/breakdown |
| Dividend Information | /fins/dividend |
| Financial Statements (BS/PL/CF) | /fins/details |
| Minute Stock Prices (OHLC) | /equities/bars/minute |
| Stock Prices (Tick) | /equities/trades |
Usage Examples
Request
GET
/v2/bulk/listimport requests
headers = {"x-api-key": "{loading}"}
resp = requests.get(
"https://api.jquants.com/v2/bulk/list",
params={"endpoint": "/equities/bars/daily"},
headers=headers,
)
files = resp.json()
# Get the latest file
if files["data"]:
latest_file = files["data"][0]
print(f"Key: {latest_file['Key']}")
print(f"Size: {latest_file['Size']} bytes")
print(f"LastModified: {latest_file['LastModified']}")